Subject: [Int-dir] Review of draft-ietf-6man-rdnss-rfc6106bis-14

From: Bob Halley <[email-masked]>
Date: Thu, 13 Oct 2016 11:32:31 +0000

I am an assigned INT directorate reviewer for draft-ietf-6man-rdnss-rfc6106bis-14.  These comments were written primarily for the benefit of the Internet Area Directors. Document editors and shepherd(s) should treat these comments just like they would treat comments from any other IETF contributors and resolve them along with any other Last Call comments that have been received. For more details on the INT Directorate, see http://www.ietf.org/iesg/directorate.html.

I read the document and I didn’t find any significant issues.

My only quibble is with the description of the “Domain Names of DNS Search List” in section 5.2, where the padding is done with zero octets.  The text neglects the meaning of the zero octet at the end of domain names, namely that it is the root label.  The root label is, by itself, also a valid domain name.  So it’s wrong to say

“Because the size of this field MUST be a multiple of 8 octets, for the minimum multiple including the domain name representations, the remaining octets other than the encoding parts of the domain name representations MUST be padded with zeros.”

because both the search list values and the pad values are domain name representations.  What you’re really doing here is “padding with the root name”, with the understanding that the root name would not be part of a search list.  I think that’s a reasonable restriction, as I’ve never heard of anyone using the root name on a search list.

I’m ok with this padding method, but I’ll point out another alternative, which is to pad with 0xff, which cannot be the start of a domain name.  (In theory domain names could be extended to use those bits, but experience with “binary labels” showed this doesn’t work in the real world; there’s no good way to do the transition.)

/Bob

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Fri, 14 Oct 2016 23:07:46 +0900

Hi Bob Halley,
Thanks for your technical review on our draft.

Your suggested padding with 0xff may make some confusion.
According to RFC 1035 (Domain Names - Implementations and Specification),
https://www.ietf.org/rfc/rfc1035.txt,
the compression scheme in Section 4.1.4 uses a pointer in the form of a two
octect
sequence of 2-bit "11" and 14-bit "Offset" where Offset specifies an offset
from
the start of the pointed domain name in the message.

I prefer to use the current padding with 0x00.
Though a one octet of 0x00 indicates the root domain, the root domain is
usually not
announced by a DNS search list.
Therefore, the octets of 0x00 can be regarded as padding.

Thanks.

Best Regards,
Paul

On Thu, Oct 13, 2016 at 8:32 PM, Bob Halley <[email-masked]> wrote:

> I am an assigned INT directorate reviewer for
> draft-ietf-6man-rdnss-rfc6106bis-14.  These comments were written
> primarily for the benefit of the Internet Area Directors. Document editors
> and shepherd(s) should treat these comments just like they would treat
> comments from any other IETF contributors and resolve them along with any
> other Last Call comments that have been received. For more details on the
> INT Directorate, see http://www.ietf.org/iesg/directorate.html.
>
> My only quibble is with the description of the “Domain Names of DNS Search
> List” in section 5.2, where the padding is done with zero octets.  The text
> neglects the meaning of the zero octet at the end of domain names, namely
> that it is the root label.  The root label is, by itself, also a valid
> domain name.  So it’s wrong to say
>
> “Because the size of this field MUST be a multiple of 8 octets, for the
> minimum multiple including the domain name representations, the remaining
> octets other than the encoding parts of the domain name representations
> MUST be padded with zeros.”
>
> because both the search list values and the pad values are domain name
> representations.  What you’re really doing here is “padding with the root
> name”, with the understanding that the root name would not be part of a
> search list.  I think that’s a reasonable restriction, as I’ve never heard
> of anyone using the root name on a search list.
>
> I’m ok with this padding method, but I’ll point out another alternative,
> which is to pad with 0xff, which cannot be the start of a domain name.  (In
> theory domain names could be extended to use those bits, but experience
> with “binary labels” showed this doesn’t work in the real world; there’s no
> good way to do the transition.)
>
> /Bob
>
>
>
>
>

-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Assistant Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>